import os

from video2json import video2json

if __name__ == "__main__":
    # Example usage
    VIDEO_PATH = "../../local/test_video.mp4"
    SCHEMA_PATH = "../../local/test_schema.json"
    CONTEXT_PATH = "../../local/test_context.txt"

    # OpenAI
    # BASE_URL = None
    # API_KEY = os.environ.get("OPENAI_API_KEY", "")
    # MODEL = "gpt-4o"

    # Google Gemini (example)
    BASE_URL = "https://generativelanguage.googleapis.com/v1beta/openai/"
    API_KEY = os.environ.get("GEMINI_API_KEY", "")
    MODEL = "gemini-2.0-flash-exp"

    with open(SCHEMA_PATH, "r", encoding="utf-8") as f:
        schema_str = f.read()

    context_str = None
    with open(CONTEXT_PATH, "r", encoding="utf-8") as f:
        context_str = f.read()

    result = video2json(
        video_path=VIDEO_PATH,
        schema_str=schema_str,
        context_str=context_str,
        api_key=API_KEY,
        model=MODEL,
        base_url=BASE_URL,
        target_fps=1.0,
        validate_json=True,
    )
    print("Result:\n", result)
